packages: burg/burg-custom.cfg (NEW), burg/burg-garbage.patch (NEW), burg/b...

lisu lisu at pld-linux.org
Wed Apr 20 14:54:48 CEST 2011


Author: lisu                         Date: Wed Apr 20 12:54:48 2011 GMT
Module: packages                      Tag: HEAD
---- Log message:
- taken from grub2 and adjusted for burg

---- Files affected:
packages/burg:
   burg-custom.cfg (NONE -> 1.1)  (NEW), burg-garbage.patch (NONE -> 1.1)  (NEW), burg-install.in.patch (NONE -> 1.1)  (NEW), burg-lvmdevice.patch (NONE -> 1.1)  (NEW), burg-mkconfig-diagnostics.patch (NONE -> 1.1)  (NEW), burg-shelllib.patch (NONE -> 1.1)  (NEW), burg.sysconfig (NONE -> 1.1)  (NEW), pld-initrd.patch (NONE -> 1.1)  (NEW), pld-mkconfigdir.patch (NONE -> 1.1)  (NEW), pld-sysconfdir.patch (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: packages/burg/burg-custom.cfg
diff -u /dev/null packages/burg/burg-custom.cfg:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-custom.cfg	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,11 @@
+# Custom settings that go directly to /boot/grub/grub.cfg
+
+# This file provides an easy way to add custom menu entries.
+# Simply type the menu entries you want to add after this comment.
+
+set menu_color_normal=yellow/blue
+set menu_color_highlight=blue/cyan
+
+# This colorset is nice too:
+#set menu_color_normal=light-blue/black
+#set menu_color_highlight=light-cyan/blue

================================================================
Index: packages/burg/burg-garbage.patch
diff -u /dev/null packages/burg/burg-garbage.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-garbage.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,38 @@
+--- grub-1.97.1/util/grub-mkconfig.in~	2009-11-11 22:14:09.000000000 +0200
++++ grub-1.97.1/util/grub-mkconfig.in	2009-11-12 09:50:15.902686831 +0200
+@@ -247,18 +247,12 @@
+ EOF
+ 
+ for i in ${grub_mkconfig_dir}/* ; do
+-  case "$i" in
+-    # emacsen backup files. FIXME: support other editors
+-    *~) ;;
+-    *)
+-      if grub_file_is_not_garbage "$i" && test -x "$i" ; then
+-        echo
+-        echo "### BEGIN $i ###"
+-        "$i"
+-        echo "### END $i ###"
+-      fi
+-    ;;
+-  esac
++  if grub_file_is_not_garbage "$i" && test -x "$i" ; then
++    echo
++    echo "### BEGIN $i ###"
++    "$i"
++    echo "### END $i ###"
++  fi
+ done
+ 
+ if test "x${grub_cfg}" != "x" ; then
+--- grub-1.97.1/util/grub-mkconfig_lib.in~	2009-11-09 17:48:16.000000000 +0200
++++ grub-1.97.1/util/grub-mkconfig_lib.in	2009-11-12 09:52:32.845160944 +0200
+@@ -158,6 +158,8 @@
+   if test -f "$1" ; then
+     case "$1" in
+       *.dpkg-*) return 1 ;; # debian dpkg
++      *.rpmnew|*.rpmsave) return 1 ;; # Fedora rpm
++      *.bak|*~|.*.swp) return 1 ;;    # backup and swap files from editors
+     esac
+   else
+     return 1

================================================================
Index: packages/burg/burg-install.in.patch
diff -u /dev/null packages/burg/burg-install.in.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-install.in.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,91 @@
+--- burg-1.98.r1844-bzr/util/grub-install.in~	2011-04-19 11:49:46.672680248 +0200
++++ burg-1.98.r1844-bzr/util/grub-install.in	2011-04-19 11:56:02.052692531 +0200
+@@ -31,7 +31,7 @@
+ platform=@platform@
+ host_os=@host_os@
+ font=@datadir@/@PACKAGE_TARNAME@/ascii.pf2
+-pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME}/${target_cpu}-${platform} | sed ${transform}`
++pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME} | sed ${transform}`
+ localedir=@datadir@/locale
+ 
+ grub_setup=${sbindir}/`echo burg-setup | sed ${transform}`
+@@ -247,23 +247,6 @@
+     exit 1
+ fi
+ 
+-# Copy the GRUB images to the GRUB directory.
+-for file in ${grubdir}/*.mod ${grubdir}/*.lst ${grubdir}/*.img ${grubdir}/efiemu??.o; do
+-    if test -f $file && [ "`basename $file`" != menu.lst ]; then
+-	rm -f $file || exit 1
+-    fi
+-done
+-for file in ${pkglibdir}/*.mod ${pkglibdir}/*.lst; do
+-    cp -f $file ${grubdir} || exit 1
+-done
+-if [ "${target_cpu}-${platform}" = "i386-pc" ] || [ "${target_cpu}-${platform}" = "sparc64-ieee1275" ] ; then
+-    for file in ${pkglibdir}/*.img ${pkglibdir}/efiemu??.o; do
+-	if test -f $file; then
+-	    cp -f $file ${grubdir} || exit 1
+-	fi
+-    done
+-fi
+-
+ # Copy gettext files
+ mkdir -p ${grubdir}/locale/
+ for dir in ${localedir}/*; do
+--- burg-1.98.r1844-bzr/util/i386/efi/grub-install.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/i386/efi/grub-install.in	2011-04-19 11:57:58.526029606 +0200
+@@ -30,7 +30,7 @@
+ target_cpu=@target_cpu@
+ platform=@platform@
+ host_os=@host_os@
+-pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME}/${target_cpu}-${platform} | sed ${transform}`
++pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME} | sed ${transform}`
+ localedir=@datadir@/locale
+ 
+ grub_mkimage=${bindir}/`echo burg-mkimage | sed ${transform}`
+@@ -170,16 +170,6 @@
+     exit 1
+ fi
+ 
+-# Copy the GRUB images to the GRUB directory.
+-for file in ${grubdir}/*.mod ${grubdir}/*.lst; do
+-    if test -f $file && [ "`basename $file`" != menu.lst ]; then
+-	rm -f $file || exit 1
+-    fi
+-done
+-for file in ${pkglibdir}/*.mod ${pkglibdir}/*.lst; do
+-    cp -f $file ${grubdir} || exit 1
+-done
+-
+ # Copy gettext files
+ mkdir -p ${grubdir}/locale/
+ for dir in ${localedir}/*; do
+--- burg-1.98.r1844-bzr/util/ieee1275/grub-install.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/ieee1275/grub-install.in	2011-04-19 11:59:33.736032766 +0200
+@@ -32,7 +32,7 @@
+ PACKAGE_VERSION=@PACKAGE_VERSION@
+ target_cpu=@target_cpu@
+ platform=@platform@
+-pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME}/${target_cpu}-${platform} | sed ${transform}`
++pkglibdir=${libdir}/`echo ${PACKAGE_TARNAME} | sed ${transform}`
+ 
+ grub_mkimage=${bindir}/`echo burg-mkelfimage | sed ${transform}`
+ grub_mkdevicemap=${sbindir}/`echo burg-mkdevicemap | sed ${transform}`
+@@ -153,16 +153,6 @@
+     $grub_mkdevicemap --device-map=$device_map $no_floppy || exit 1
+ fi
+ 
+-# Copy the GRUB images to the GRUB directory.
+-for file in ${grubdir}/*.mod ${grubdir}/*.lst ; do
+-    if test -f $file; then
+-	rm -f $file || exit 1
+-    fi
+-done
+-for file in ${pkglibdir}/*.mod ${pkglibdir}/*.lst ; do
+-    cp -f $file ${grubdir} || exit 1
+-done
+-
+ if ! test -f ${grubdir}/burgenv; then
+     $grub_editenv ${grubdir}/burgenv create
+ fi

================================================================
Index: packages/burg/burg-lvmdevice.patch
diff -u /dev/null packages/burg/burg-lvmdevice.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-lvmdevice.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,24 @@
+--- grub-1.97.1/util/grub-mkconfig.in~	2009-11-17 17:02:16.626243372 +0200
++++ grub-1.97.1/util/grub-mkconfig.in	2009-11-17 17:02:08.346050859 +0200
+@@ -120,6 +120,21 @@
+ 
+ # Device containing our userland.  Typically used for root= parameter.
+ GRUB_DEVICE="`${grub_probe} --target=device /`"
++
++# Rewrite to sane LVM node (Code from PLD Linux geninitrd):
++# /dev/mapper/sys-rootfs -> /dev/sys/rootfs
++# /dev/mapper/blodnatt-blah--bleh -> /dev/blodnatt/blah-bleh
++# /dev/mapper/vg--meaw-root -> /dev/vg-meaw/root
++case "$GRUB_DEVICE" in
++/dev/mapper/*-*)
++	# change "--" to / (as "/" is impossible in LV name)
++	local dev=$(awk -vdev="${GRUB_DEVICE#/dev/mapper/}" 'BEGIN{gsub(/--/, "/", dev); print dev}')
++	local VG=$(awk -vdev="$dev" 'BEGIN{split(dev, v, "-"); gsub("/", "-", v[1]); print v[1]}')
++	local LV=$(awk -vdev="$dev" 'BEGIN{split(dev, v, "-"); gsub("/", "-", v[2]); print v[2]}')
++	GRUB_DEVICE=/dev/$VG/$LV
++;;
++esac
++
+ GRUB_DEVICE_UUID="`${grub_probe} --device ${GRUB_DEVICE} --target=fs_uuid 2> /dev/null`" || true
+ 
+ # Device containing our /boot partition.  Usually the same as GRUB_DEVICE.

================================================================
Index: packages/burg/burg-mkconfig-diagnostics.patch
diff -u /dev/null packages/burg/burg-mkconfig-diagnostics.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-mkconfig-diagnostics.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,171 @@
+--- burg-1.98.r1844-bzr/util/grub-mkconfig.in~	2011-04-19 13:24:17.176199143 +0200
++++ burg-1.98.r1844-bzr/util/grub-mkconfig.in	2011-04-19 13:30:04.389543848 +0200
+@@ -287,14 +287,19 @@
+ 
+ if test "x${grub_cfg}" != "x"; then
+   rm -f ${grub_cfg}.new
++  # open fd &3 for diagnostic messages
++  exec 3>&1
+   exec > ${grub_cfg}.new
+ 
+   # Allow this to fail, since /boot/grub/ might need to be fatfs to support some
+   # firmware implementations (e.g. OFW or EFI).
+   chmod 400 ${grub_cfg}.new || grub_warn "Could not make ${grub_cfg}.new readable by only root.\
+   This means that if the generated config contains a password it is readable by everyone"
++else
++  # open fd &3 for diagnostic messages
++  exec 3>&2
+ fi
+-echo "Generating burg.cfg ..." >&2
++echo "Generating burg.cfg ..." >&3
+ 
+ cat << EOF
+ #
+@@ -319,4 +324,7 @@
+   mv -f ${grub_cfg}.new ${grub_cfg}
+ fi
+ 
+-echo "done" >&2
++echo "done" >&3
++
++# close diagnostic stream
++exec 3>&-
+--- burg-1.98.r1844-bzr/util/grub.d/10_linux.in~	2011-04-19 13:24:17.166199143 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_linux.in	2011-04-19 13:31:36.136213508 +0200
+@@ -111,7 +111,7 @@
+ 
+ while [ "x$list" != "x" ] ; do
+   linux=`version_find_latest $list`
+-  echo "Found linux image: $linux" >&2
++  echo "Found linux image: $linux" >&3
+   basename=`basename $linux`
+   dirname=`dirname $linux`
+   rel_dirname=`make_system_path_relative_to_its_root $dirname`
+@@ -130,7 +130,7 @@
+     fi
+   done
+   if test -n "${initrd}" ; then
+-    echo "Found initrd image: ${dirname}/${initrd}" >&2
++    echo "Found initrd image: ${dirname}/${initrd}" >&3
+   else
+     # "UUID=" magic is parsed by initrds.  Since there's no initrd, it can't work here.
+     linux_root_device_thisversion=${GRUB_DEVICE}
+--- burg-1.98.r1844-bzr/util/grub.d/30_os-prober.in~	2011-04-19 13:24:17.166199143 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/30_os-prober.in	2011-04-19 13:32:37.132882171 +0200
+@@ -121,7 +121,7 @@
+     OSLABEL="$s"
+   fi
+ 
+-  echo "Found ${LONGNAME} on ${DEVICE}" >&2
++  echo "Found ${LONGNAME} on ${DEVICE}" >&3
+ 
+   case ${BOOT} in
+     chain)
+@@ -220,7 +220,7 @@
+ EOF
+     ;;
+     *)
+-      echo "  ${LONGNAME} is not yet supported by burg-mkconfig." >&2
++      echo "  ${LONGNAME} is not yet supported by burg-mkconfig." >&3
+     ;;
+   esac
+ done
+--- burg-1.98.r1844-bzr/util/grub.d/10_hurd.in~	2011-04-19 13:24:17.166199143 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_hurd.in	2011-04-19 13:33:17.219550150 +0200
+@@ -40,7 +40,7 @@
+     basename=`basename $i`
+     dirname=`dirname $i`
+     rel_dirname=`make_system_path_relative_to_its_root $dirname`
+-    echo "Found GNU Mach: $i" >&2
++    echo "Found GNU Mach: $i" >&3
+     kernel=${rel_dirname}/${basename}
+     at_least_one=true
+   fi
+@@ -54,7 +54,7 @@
+ 
+ for i in /hurd/${hurd_fs}.static /hurd/exec ; do
+   if test -e "$i" ; then
+-    echo "Found Hurd module: $i" >&2
++    echo "Found Hurd module: $i" >&3
+     at_least_one=true
+   else
+     all_of_them=false
+--- burg-1.98.r1844-bzr/util/grub.d/10_windows.in~	2011-04-19 13:24:17.166199143 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_windows.in	2011-04-19 13:33:54.756218045 +0200
+@@ -68,7 +68,7 @@
+   # Get boot /dev/ice.
+   dev=`${grub_probe} -t device "$dir" 2>/dev/null` || continue
+ 
+-  echo "Found $OS on $dir ($dev)" >&2
++  echo "Found $OS on $dir ($dev)" >&3
+   cat << EOF
+ menuentry "$OS" --class Windows {
+ EOF
+--- burg-1.98.r1844-bzr/util/grub.d/00_header.in~	2011-04-19 13:24:17.166199143 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/00_header.in	2011-04-19 13:35:28.689554452 +0200
+@@ -42,10 +42,10 @@
+ 
+ if test "x${GRUB_USERS}" != "x" ; then
+   if test ! -r $pass_file ; then
+-    echo "Password file not found" >&2 ; exit 1
++    echo "Password file not found" >&3 ; exit 1
+   fi
+ 
+-  awk -F: 'BEGIN {super=""} {print "password_" $3,$1,$4; if ($2=="s") super=super $1 ",";} END {if (super=="") exit 1; else print "set superusers=" super;}' $pass_file || { echo "No superuser is found" >&2 ; exit 1; }
++  awk -F: 'BEGIN {super=""} {print "password_" $3,$1,$4; if ($2=="s") super=super $1 ",";} END {if (super=="") exit 1; else print "set superusers=" super;}' $pass_file || { echo "No superuser is found" >&3 ; exit 1; }
+ fi
+ 
+ default_theme="$(echo ${GRUB_DISTRIBUTOR} | tr '[A-Z]' '[a-z]' | cut -d' ' -f1)"
+@@ -96,7 +96,7 @@
+ 
+ if [ "x$serial" = x1 ]; then
+     if ! test -e ${grub_prefix}/serial.mod ; then
+-	echo "Serial terminal not available on this platform." >&2 ; exit 1
++	echo "Serial terminal not available on this platform." >&3 ; exit 1
+     fi
+ 
+     if [ "x${GRUB_SERIAL_COMMAND}" = "x" ] ; then
+@@ -236,7 +236,7 @@
+ EOF
+     if [ "x$GRUB_THEME" != x ] && [ -f "$GRUB_THEME" ] \
+ 	&& is_path_readable_by_grub "$GRUB_THEME"; then
+-	echo "Found theme: $GRUB_THEME" >&2
++	echo "Found theme: $GRUB_THEME" >&3
+ 	prepare_grub_to_access_device `${grub_probe} --target=device "$GRUB_THEME"` | sed -e "s/^/  /"
+ 	cat << EOF
+   insmod gfxmenu
+@@ -270,12 +270,12 @@
+ EOF
+     elif [ "x$GRUB_BACKGROUND" != x ] && [ -f "$GRUB_BACKGROUND" ] \
+ 	    && is_path_readable_by_grub "$GRUB_BACKGROUND"; then
+-	echo "Found background: $GRUB_BACKGROUND" >&2
++	echo "Found background: $GRUB_BACKGROUND" >&3
+ 	case "$GRUB_BACKGROUND" in
+ 	    *.png)         reader=png ;;
+ 	    *.tga)         reader=tga ;;
+ 	    *.jpg|*.jpeg)  reader=jpeg ;;
+-	    *)             echo "Unsupported image format" >&2; exit 1 ;;
++	    *)             echo "Unsupported image format" >&3; exit 1 ;;
+ 	esac
+ 	prepare_grub_to_access_device `${grub_probe} --target=device "$GRUB_BACKGROUND"` | sed -e "s/^/  /"
+ 	cat << EOF
+--- burg-1.98.r1844-bzr/util/grub.d/10_kfreebsd.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_kfreebsd.in	2011-04-19 13:36:11.892889198 +0200
+@@ -82,7 +82,7 @@
+ 
+ while [ "x$list" != "x" ] ; do
+   kfreebsd=`version_find_latest $list`
+-  echo "Found kernel of FreeBSD: $kfreebsd" >&2
++  echo "Found kernel of FreeBSD: $kfreebsd" >&3
+   basename=`basename $kfreebsd`
+   dirname=`dirname $kfreebsd`
+   rel_dirname=`make_system_path_relative_to_its_root $dirname`
+@@ -111,7 +111,7 @@
+     fi
+   done
+   if test -n "${acpi_ko}" ; then
+-    echo "Found ACPI module: ${acpi_ko}" >&2
++    echo "Found ACPI module: ${acpi_ko}" >&3
+     acpi_ko_basename=`basename ${acpi_ko}`
+     acpi_ko_dirname=`dirname ${acpi_ko}`
+     acpi_ko_rel_dirname=`make_system_path_relative_to_its_root $acpi_ko_dirname`

================================================================
Index: packages/burg/burg-shelllib.patch
diff -u /dev/null packages/burg/burg-shelllib.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg-shelllib.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,113 @@
+--- burg-1.98.r1844-bzr/util/grub.d/00_header.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/00_header.in	2011-04-19 11:42:02.029331593 +0200
+@@ -27,7 +27,7 @@
+ sysconfdir=@sysconfdir@
+ pass_file=${sysconfdir}/default/burg-passwd
+ 
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ # Do this as early as possible, since other commands might depend on it.
+ # (e.g. the `loadfont' command might need lvm or raid modules)
+--- burg-1.98.r1844-bzr/util/grub.d/10_hurd.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_hurd.in	2011-04-19 11:44:20.972669603 +0200
+@@ -19,7 +19,7 @@
+ prefix=@prefix@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ CLASS="--class gnu --class os"
+ 
+--- burg-1.98.r1844-bzr/util/grub.d/10_linux.in~	2011-04-19 11:33:43.929315411 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_linux.in	2011-04-19 11:45:07.839337671 +0200
+@@ -20,7 +20,7 @@
+ exec_prefix=@exec_prefix@
+ bindir=@bindir@
+ libdir=@libdir@
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ export TEXTDOMAIN=@PACKAGE@
+ export TEXTDOMAINDIR=@localedir@
+--- burg-1.98.r1844-bzr/util/grub.d/10_windows.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_windows.in	2011-04-19 11:45:53.182672563 +0200
+@@ -19,7 +19,7 @@
+ prefix=@prefix@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ case "`uname 2>/dev/null`" in
+   CYGWIN*)  ;;
+--- burg-1.98.r1844-bzr/util/grub.d/30_os-prober.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/30_os-prober.in	2011-04-19 11:46:25.046007009 +0200
+@@ -20,7 +20,7 @@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+ 
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ if [ "x${GRUB_DISABLE_OS_PROBER}" = "xtrue" ]; then
+   exit 0
+--- burg-1.98.r1844-bzr/util/grub-mkconfig.in~	2011-04-19 11:33:43.932648744 +0200
++++ burg-1.98.r1844-bzr/util/grub-mkconfig.in	2011-04-19 11:47:12.666008544 +0200
+@@ -73,7 +73,7 @@
+     esac
+ done
+ 
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ case "$host_os" in
+ netbsd* | openbsd*)
+--- burg-1.98.r1844-bzr/util/grub-install.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub-install.in	2011-04-19 11:47:58.406010031 +0200
+@@ -160,7 +160,7 @@
+ done
+ 
+ # for make_system_path_relative_to_its_root()
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ if test "x$install_device" = x && test "${target_cpu}-${platform}" != "mips-yeeloong"; then
+     echo "install_device not specified." 1>&2
+--- burg-1.98.r1844-bzr/util/update-grub_lib.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/update-grub_lib.in	2011-04-19 11:48:34.772677896 +0200
+@@ -18,6 +18,6 @@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+ 
+-. ${libdir}/burg/burg-mkconfig_lib
++. /lib/burg-mkconfig_lib
+ 
+ grub_warn "update-burg_lib is deprecated, use burg-mkconfig_lib instead"
+--- burg-1.98.r1844-bzr/Makefile.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/Makefile.in	2011-04-20 12:54:45.433360015 +0200
+@@ -343,12 +343,12 @@
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,' | sed '$(transform)'`"; \
+ 	  $(INSTALL_DATA) $$dir$$file $(DESTDIR)$(sysconfdir)/$(PACKAGE_TARNAME).d/$$dest; \
+ 	done
+-	$(SHELL) $(mkinstalldirs) $(DESTDIR)$(libdir)/$(PACKAGE_TARNAME)
++	$(SHELL) $(mkinstalldirs) $(DESTDIR)/lib
+ 	@list='$(lib_SCRIPTS)'; \
+ 	for file in $$list; do \
+ 	  if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,'`"; \
+-	  $(INSTALL_DATA) $$dir$$file $(DESTDIR)$(libdir)/$(PACKAGE_TARNAME)/$$dest; \
++	  $(INSTALL_DATA) $$dir$$file $(DESTDIR)/lib/$$dest; \
+ 	done
+ 	@langs='$(LINGUAS)'; \
+ 	for lang in $$langs; do \
+@@ -400,7 +400,7 @@
+ 	@list='$(lib_SCRIPTS)'; \
+ 	for file in $$list; do \
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,'`"; \
+-	  rm -f $(DESTDIR)$(libdir)/grub/$$dest; \
++	  rm -f $(DESTDIR)/lib/$$dest; \
+ 	done
+ 	@list='$(info_INFOS)'; \
+ 	for file in $$list; do \

================================================================
Index: packages/burg/burg.sysconfig
diff -u /dev/null packages/burg/burg.sysconfig:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/burg.sysconfig	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,33 @@
+# Configuration file for grub.
+#
+# If you change this file, run 'update-grub' afterwards to update /boot/grub/grub.cfg.
+#
+# To enable auto generation of /boot/grub/grub.conf on kernel package's
+# install, UPDATE_GRUB must be set to "yes".
+#UPDATE_GRUB=yes
+
+GRUB_DEFAULT=0
+GRUB_TIMEOUT=5
+GRUB_DISTRIBUTOR=$(lsb_release -i -s 2> /dev/null || echo PLD)
+GRUB_CMDLINE_LINUX_DEFAULT="quiet"
+GRUB_CMDLINE_LINUX=""
+
+# Set to 'console' to disable graphical terminal (grub-pc only)
+#GRUB_TERMINAL=console
+
+# The resolution used on graphical terminal
+# note that you can use only modes which your graphic card supports via VBE
+# you can see them in real GRUB with the command `vbeinfo'
+#GRUB_GFXMODE=640x480
+
+# Disable GRUB to pass "root=UUID=xxx" parameter to Linux
+#GRUB_DISABLE_LINUX_UUID=true
+
+# Disable generation of recovery mode menu entries
+GRUB_DISABLE_LINUX_RECOVERY="true"
+
+# Uncomment to get a beep at grub start
+#GRUB_INIT_TUNE="480 440 1"
+
+# Setup lang, otherwise it would be inherited from running terminal
+#LANG=C

================================================================
Index: packages/burg/pld-initrd.patch
diff -u /dev/null packages/burg/pld-initrd.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/pld-initrd.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,11 @@
+--- burg-1.98.r1844-bzr/util/grub.d/10_linux.in~	2011-04-19 10:42:18.000000000 +0200
++++ burg-1.98.r1844-bzr/util/grub.d/10_linux.in	2011-04-19 11:18:23.869285301 +0200
+@@ -122,7 +122,7 @@
+   initrd=
+   for i in "initrd.img-${version}" "initrd-${version}.img" \
+ 	   "initrd-${version}" "initramfs-${version}.img" \
+-	   "initrd.img-${alt_version}" "initrd-${alt_version}.img" \
++	   "initrd.img-${alt_version}" "initrd-${alt_version}.img" "initrd-${version}.gz" \
+ 	   "initrd-${alt_version}" "initramfs-${alt_version}.img"; do
+     if test -e "${dirname}/${i}" ; then
+       initrd="$i"

================================================================
Index: packages/burg/pld-mkconfigdir.patch
diff -u /dev/null packages/burg/pld-mkconfigdir.patch:1.1
--- /dev/null	Wed Apr 20 14:54:48 2011
+++ packages/burg/pld-mkconfigdir.patch	Wed Apr 20 14:54:42 2011
@@ -0,0 +1,51 @@
+--- burg-1.98.r1844-bzr/util/grub-mkconfig.in~	2011-04-19 12:06:55.492713917 +0200
++++ burg-1.98.r1844-bzr/util/grub-mkconfig.in	2011-04-19 13:07:35.649499706 +0200
+@@ -29,7 +29,7 @@
+ datadir=@datadir@
+ pkgdatadir=${datadir}/`echo @PACKAGE_TARNAME@ | sed "${transform}"`
+ grub_cfg=""
+-grub_mkconfig_dir=${sysconfdir}/burg.d
++grub_mkconfig_dir=/lib/burg.d
+ 
+ grub_mkdevicemap=${sbindir}/`echo burg-mkdevicemap | sed ${transform}`
+ grub_probe=${sbindir}/`echo burg-probe | sed ${transform}`
+--- burg-1.98.r1844-bzr/Makefile.in~	2011-04-19 12:06:55.486047249 +0200
++++ burg-1.98.r1844-bzr/Makefile.in	2011-04-19 13:11:10.006173384 +0200
+@@ -332,16 +332,16 @@
+ 	  $(INSTALL_SCRIPT) $$dir$$file $(DESTDIR)$(sbindir)/$$dest; \
+ 	  $(HELP2MAN) --section=8 -o $(DESTDIR)$(mandir)/man8/$$dest.8 $(builddir)/$$file; \
+ 	done
+-	$(SHELL) $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/$(PACKAGE_TARNAME).d
++	$(SHELL) $(mkinstalldirs) $(DESTDIR)/lib/$(PACKAGE_TARNAME).d
+ 	@list='$(grub-mkconfig_SCRIPTS)'; for file in $$list; do \
+ 	  if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,' | sed '$(transform)'`"; \
+-	  $(INSTALL_SCRIPT) $$dir$$file $(DESTDIR)$(sysconfdir)/$(PACKAGE_TARNAME).d/$$dest; \
++	  $(INSTALL_SCRIPT) $$dir$$file $(DESTDIR)/lib/$(PACKAGE_TARNAME).d/$$dest; \
+ 	done
+ 	@list='$(grub-mkconfig_DATA)'; for file in $$list; do \
+ 	  if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,' | sed '$(transform)'`"; \
+-	  $(INSTALL_DATA) $$dir$$file $(DESTDIR)$(sysconfdir)/$(PACKAGE_TARNAME).d/$$dest; \
++	  $(INSTALL_DATA) $$dir$$file $(DESTDIR)/lib/$(PACKAGE_TARNAME).d/$$dest; \
+ 	done
+ 	$(SHELL) $(mkinstalldirs) $(DESTDIR)/lib
+ 	@list='$(lib_SCRIPTS)'; \
+@@ -395,7 +395,7 @@
+ 	done
+ 	@list='$(grub-mkconfig_SCRIPTS) $(grub-mkconfig_DATA)'; for file in $$list; do \
+ 	  dest="`echo $$file | sed 's,.*/,,;s,grub,burg,' | sed '$(transform)'`"; \
+-	  rm -f $(DESTDIR)$(sysconfdir)/grub.d/$$dest; \
++	  rm -f $(DESTDIR)/lib/grub.d/$$dest; \
+ 	done
+ 	@list='$(lib_SCRIPTS)'; \
+ 	for file in $$list; do \
+--- grub-1.97.1/util/grub.d/40_custom.in~       2009-11-09 17:48:16.000000000 +0200
++++ grub-1.97.1/util/grub.d/40_custom.in        2010-01-12 12:37:52.608575356 +0200
+@@ -1,5 +1,2 @@
+ #!/bin/sh
+-exec tail -n +3 $0
+-# This file provides an easy way to add custom menu entries.  Simply type the
+-# menu entries you want to add after this comment.  Be careful not to change
+-# the 'exec tail' line above.
++cat /etc/burg.d/custom.cfg
<<Diff was trimmed, longer than 597 lines>>


More information about the pld-cvs-commit mailing list